use std::net::SocketAddr;

use axum::{Router, routing::get};

mod routes;
mod entities;

#[tokio::main]
async fn main() {
    tracing_subscriber::fmt::init();

    let app = Router::new()
        .route("/", get(routes::root::root));

    let listen_addr = SocketAddr::from(([0, 0, 0, 0], 3621));

    axum::Server::bind(&listen_addr)
        .serve(app.into_make_service())
        .await
        .unwrap();
}